import { LogLevel, Logger, LogWorkerInteractor } from './type';
export declare class LoggerImpl implements Logger {
    private _label;
    private _dest;
    private _logLevel;
    private _logWorkerInteractor;
    constructor(_label: string, _dest: {
        console: boolean;
        database: boolean;
    }, _logLevel: LogLevel, _logWorkerInteractor: LogWorkerInteractor);
    setLogLevel(logLevel: LogLevel): void;
    debug(...args: unknown[]): void;
    info(...args: unknown[]): void;
    warn(...args: unknown[]): void;
    error(...args: unknown[]): void;
    private _log;
    private _pipeToDatabase;
    private _pipeToConsole;
}
