"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readAsArrayBuffer = void 0;
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.promise.js");
var readAsArrayBuffer = exports.readAsArrayBuffer = function readAsArrayBuffer(blob) {
  return new Promise(function (resolve, reject) {
    var reader = new FileReader();
    reader.onload = function (event) {
      var _event$target;
      resolve((_event$target = event.target) === null || _event$target === void 0 ? void 0 : _event$target.result);
    };
    reader.onerror = function (event) {
      reject(event);
    };
    reader.readAsArrayBuffer(blob);
  });
};