"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bound = void 0;
require("core-js/modules/es.function.bind.js");
require("core-js/modules/es.function.name.js");
/**
 * Binds correct instance to `this`.
 * Note: put it to first before all other annotations in order to take effect.
 */
var bound = exports.bound = function bound(originalMethod, context) {
  context.addInitializer(function () {
    //@ts-ignore
    this[context.name] = this[context.name].bind(this);
  });
};