"use strict";

require("core-js/modules/es.object.define-property.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sleep = exports.randomString = exports.jsonstring = exports.arr2map = exports.arr2Map = void 0;
require("core-js/modules/es.array.for-each.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.date.to-json.js");
require("core-js/modules/es.json.stringify.js");
require("core-js/modules/es.map.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.promise.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/esnext.async-iterator.for-each.js");
require("core-js/modules/esnext.iterator.constructor.js");
require("core-js/modules/esnext.iterator.for-each.js");
require("core-js/modules/esnext.map.delete-all.js");
require("core-js/modules/esnext.map.emplace.js");
require("core-js/modules/esnext.map.every.js");
require("core-js/modules/esnext.map.filter.js");
require("core-js/modules/esnext.map.find.js");
require("core-js/modules/esnext.map.find-key.js");
require("core-js/modules/esnext.map.includes.js");
require("core-js/modules/esnext.map.key-of.js");
require("core-js/modules/esnext.map.map-keys.js");
require("core-js/modules/esnext.map.map-values.js");
require("core-js/modules/esnext.map.merge.js");
require("core-js/modules/esnext.map.reduce.js");
require("core-js/modules/esnext.map.some.js");
require("core-js/modules/esnext.map.update.js");
require("core-js/modules/web.dom-collections.for-each.js");
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/web.timers.js");
var jsonstring = exports.jsonstring = function jsonstring(json) {
  try {
    return JSON.stringify(json);
  } catch (e) {}
  return 'invalid json';
};
var arr2map = exports.arr2map = function arr2map(arr, fnKey) {
  var map = {};
  arr.forEach(function (ele) {
    return map[fnKey(ele)] = ele;
  });
  return map;
};
var arr2Map = exports.arr2Map = function arr2Map(arr, fnKey) {
  var map = new Map();
  arr.forEach(function (ele) {
    return map.set(fnKey(ele), ele);
  });
  return map;
};
var sleep = exports.sleep = function sleep(ms) {
  return new Promise(function (r) {
    setTimeout(r, ms);
  });
};
var randomString = exports.randomString = function randomString(len) {
  var characters = 'abcdefghijklmnopqrstuvwxyz0123456789';
  var result = '';
  var charactersLength = characters.length;
  for (var i = 0; i < len; i++) {
    result += characters.charAt(Math.floor(Math.random() * charactersLength));
  }
  return result;
};